{% extends "base.html" %}

{% load i18n %}

{% block content-title %}{% endblock %}

{% block content %}
    <div class="jumbotron p-5">
        <div class="row text-center">
            <h1 class="display-4">
                {% trans "Welcome onto the registration site of the" %}
                <a href="https://tfjm.org/" target="_blank">𝕋𝔽𝕁𝕄²</a> !
            </h1>
        </div>
    </div>

    <div class="row p-5">
        <div class="col-sm">
            <h3>
                {% trans "You want to participate to the 𝕋𝔽𝕁𝕄² ?" %}
                <br/>
                {% trans "Your team is already complete?" %}
            </h3>
        </div>
        <div class="col-sm text-sm-end">
            <div class="btn-group-vertical">
                <a class="btn btn-primary btn-lg" href="{% url "registration:signup" %}" role="button">{% trans "Register now!" %}</a>
                <a class="btn btn-light text-dark btn-lg" href="{% url "login" %}" role="button">{% trans "I already have an account" %}</a>
            </div>
        </div>
    </div>

    <div class="alert alert-warning">
        <h3 class="alert-heading"><i class="fas fa-warning"></i> {% trans "New in 2025" %}</h3>
        {% blocktrans trimmed %}
        Registration for Ile-de-France tournaments is now unified.
        If you live in or near the Ile-de-France region, your registration will be pooled with each of the region's tournaments,
        and the organizers will take care of team allocation. However, date constraints can be indicated in the motivation letter.
        {% endblocktrans %}
    </div>

    <div class="jumbotron p-5 border rounded-5">
        <h5 class="display-4">{% trans "How does it work?" %}</h5>
        <p>
            {% url "registration:signup" as signup_url %}
            {% blocktrans trimmed %}
                To participate to the 𝕋𝔽𝕁𝕄², you just need to create an account on the <strong><a href="{{ signup_url }}">Registration</a></strong> page.
                You will then have to confirm your email address.
            {% endblocktrans %}
        </p>

        <p class="text-justify">
            {% url "login" as login_url %}
            {% blocktrans trimmed %}
                You can access your account via the <strong><a href="{{ login_url }}">Login</a></strong> page.
                Once logged in, you will be able to create a team or join one already created by one of your comrades
                via an access code that will have been transmitted to you. You will then be invited to submit a right to image authorization,
                essential for the smooth running of the 𝕋𝔽𝕁𝕄². Once your team has at least 4 participants (maximum 6)
                and a supervisor, you can request to validate your team to be able to work on the problems of your choice.
            {% endblocktrans %}
        </p>

        <h2>{% trans "I can't find a team, help me!" %}</h2>


        <p class="text-justify">
            {% blocktrans trimmed %}
                You can contact us at the address <a href="mailto:contact@tfjm.org">contact@tfjm.org</a> so that we
                can help you get in touch with other participants who are also looking for a team.
            {% endblocktrans %}
        </p>

        <h2>{% trans "I have a question" %}</h2>

        <p class="text-justify">
            {% blocktrans trimmed %}
                Do not hesitate to consult the <a href="/doc/" target="_blank">documentation</a> of the site, to check if
                the answer is not already there. Also refer of course to the
                <a href="https://tfjm.org/reglement/" target="_blank">𝕋𝔽𝕁𝕄² rules</a>.
                For any other question, do not hesitate to contact us by email at the address
                <a href="mailto:&#99;&#111;&#110;&#116;&#97;&#99;&#116;&#64;&#116;&#102;&#106;&#109;&#46;&#111;&#114;&#103;">
                    &#99;&#111;&#110;&#116;&#97;&#99;&#116;&#64;&#116;&#102;&#106;&#109;&#46;&#111;&#114;&#103;
                </a>.
            {% endblocktrans %}
        </p>

        <div class="alert alert-warning">
            <strong>{% trans "Save the dates!" %}</strong>
            {% trans "If you don't end your registration by the indicated deadline, you will unfortunately not be able to participate in the 𝕋𝔽𝕁𝕄²." %}
        </div>
    </div>
{% endblock %}
